#pragma once
#include "nanobind_helpers.h"

namespace dolfinx_access {
    struct CoordValuePair;

    extern CoordValuePair min_Function_f64_p2(Function_f64 const* f);
    extern CoordValuePair max_Function_f64_p2(Function_f64 const* f);
    extern CoordValuePair minmax_Function_f64_p2(Function_f64 const* f, bool max);

} // namespace dolfinx_access

// extern "C" PyObject* PyInit_dolfinx_access();
